# -*- coding: utf-8 -*-

import xlrd
from pysnippets.strsnippets import strip

from tamron.models import TamronRegisterInfo


def pre_reg():
    TamronRegisterInfo.objects.filter(fid=TamronRegisterInfo.BRAND).delete()
    TamronRegisterInfo.objects.filter(fid=TamronRegisterInfo.MODEL).delete()
    TamronRegisterInfo.objects.filter(fid=TamronRegisterInfo.METIER).delete()

    workbook = xlrd.open_workbook('./tamron/data/LRC.xls')
    # sheets = workbook.sheets()
    # sheet = sheets[0]
    sheet = workbook.sheet_by_name('User')
    nrows = sheet.nrows

    brands = set()
    models = set()
    metiers = set()

    for idx in range(1, nrows):
        rvals = sheet.row_values(idx)
        print rvals

        brand = strip(rvals[5])
        if brand:
            brands.add(brand)

        model = strip(rvals[6])
        if model:
            models.add(model)

        metier = strip(rvals[4])
        if metier:
            metiers.add(metier)

    for brand in brands:
        TamronRegisterInfo.objects.create(fid=TamronRegisterInfo.BRAND, title=brand)

    for model in models:
        TamronRegisterInfo.objects.create(fid=TamronRegisterInfo.MODEL, title=model)

    for metier in metiers:
        TamronRegisterInfo.objects.create(fid=TamronRegisterInfo.METIER, title=metier)
